Bug 542767 - Review Request: ghemical - Molecular mechanics and quantum mechanics frontend for GNOME
Summary: Review Request: ghemical - Molecular mechanics and quantum mechanics frontend...
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 542740 542747 542759 542760 542765
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-30 18:17 UTC by Carl Byington
Modified: 2011-09-18 18:22 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-07-15 17:09:56 UTC
chkr: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Carl Byington 2009-11-30 18:17:31 UTC
Spec URL: http://www.five-ten-sg.com/ghemical.spec
SRPM URL: http://www.five-ten-sg.com/ghemical-2.99.2-4.fc12.src.rpm
Description: 
Ghemical is a computational chemistry application.
Ghemical is written in C++. It has a graphical user interface (in fact,
a couple of them), and it supports both quantum-mechanics (semi-empirical
and ab initio) models and molecular mechanics models (there is an experimental
Tripos 5.2-like force field for organic molecules). Also a tool for reduced
protein models is included. Geometry optimization, molecular dynamics
and a large set of visualization tools are currently available.



This is part of my project to get ghemical and its dependencies into Fedora.

ghemical buildrequires:
   f2c
   libSC-devel
   mopac7-devel
   oglappth-devel
   libghemical-data
libghemical buildrequires:
   f2c
   libSC-devel
   mopac7-devel
mopac7 buildrequires:
   f2c
mpqc provides libSC7, libSC-devel
oglappth provides oglappth-devel
f2c provides f2c

Comment 1 Susi Lehtola 2009-12-05 04:13:21 UTC
Does ghemical *really* need only f2c-libs to compile, i.e. no f2c (and its headers) at all?

Comment 2 Carl Byington 2009-12-05 18:42:58 UTC
ghemical does not need f2c at all. requirement removed.

Comment 4 Christian Krause 2010-06-18 19:12:01 UTC
Sorry for the delay... I was waiting to see libghemical in koji and since it didn't appear ghemical dropped a little bit in my priorities - sorry... ;-)

Here is now the full review. In general there are no major issue, just some minor and easy to fix pieces (marked as TODO). Please build libghemical officially in koji first so that the final test can be done with a koji build of ghemical as well.

* naming: OK

* spec file name: OK

* sources: OK
- matches upstream:
30f29b21d2f0649fc79823a7042131b5  ghemical-2.99.2.tar.gz
- spectool -g works

* license: OK
- actual license matches License field
- GPLv2+ acceptable
- License file packaged

* rpmlint: TODO
rpmlint RPMS/i686/ghemical-* SRPMS/ghemical-2.99.2-10.fc13.src.rpm SPECS/ghemical.spec
ghemical.i686: W: spelling-error %description -l en_US initio -> initial, initiation, initiate
ghemical.i686: W: file-not-utf8 /usr/share/doc/ghemical-2.99.2/AUTHORS
ghemical.i686: W: no-manual-page-for-binary ghemical
ghemical.src: W: spelling-error %description -l en_US initio -> initial, initiation, initiate
3 packages and 1 specfiles checked; 0 errors, 4 warnings.

- file-not-utf8: should be fixed, e.g. by using something like this:
# fix encoding
iconv -f iso8859-1 -t utf-8 AUTHORS > AUTHORS.conv && \
touch -r AUTHORS AUTHORS.conv && \
mv -f AUTHORS.conv AUTHORS

- the remaining warnings are false positives

* legible & American English: OK

* compilation: TODO
- if there is no need, don't run aclocal and auto* tools
- don't explicitly override LIBS or CXXFLAGS unless there is a good reason
- for ghemical, it should be sufficient to use
%configure  --enable-threads --enable-openbabel
make %{?_smp_mflags}
in the build section
- package builds locally
- build in koji not possible because libghemical was not built yet

* BuildRequires: TODO
- at least libtool, flex and gcc-gfortran are not required

* Requires: TODO
- should require hicolor-icon-theme (for the ownership of the directories /usr/share/icons/hicolor/*/apps/ )

* locale handling: OK

* directory ownership: OK

* files not listed twice: OK

* permissions: OK, %defattr used

* clean section: OK

* macros consistently used: OK

* code vs. content: OK (besides some examples no content)

* large documentation in -doc subpackage: OK
- the documentation is about 1MB, so IMHO it would be nicer to split it off into an additional documentation package
- however, since it is "only" 1MB it won't block the review

* *.la files, pkgconfig, static libs, headers, shared libs: OK (n/a)

* .desktop file: OK
- desktop file exists and works
- correctly installed via desktop-file-install or desktop-file-validate

* rm -rf in %install: OK

* scriptlets: OK
- gtk-update-icon-cache called correctly

* filenames UTF8: OK

* functional test: OK
- basic functions work, examples can be loaded without any problems

Comment 6 Christian Krause 2010-06-21 22:47:51 UTC
(In reply to comment #5)
> http://www.five-ten-sg.com/ghemical.spec

Ok, thanks - the new packages looks good. Please just fully remove the lines (BuildRequires, %build section, ...) you just commented out and remove also the libtool from the BuildRequires.

Comment 8 Christian Krause 2010-06-23 23:35:34 UTC
(In reply to comment #7)
> http://www.five-ten-sg.com/ghemical.spec
> http://www.five-ten-sg.com/ghemical-2.99.2-13.fc12.src.rpm 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2264194    

These files are identical to the previous one: ghemical.spec still has release 12 and when I try to download the 2nd link I still get ghemical-2.99.2-12.fc12.src.rpm. Please can you check, whether the files are correctly uploaded?

Comment 9 Carl Byington 2010-06-24 05:12:33 UTC
Oops, failed to move them from the staging server to the real server. Fixed now.

http://www.five-ten-sg.com/ghemical.spec
http://www.five-ten-sg.com/ghemical-2.99.2-13.fc12.src.rpm 
http://koji.fedoraproject.org/koji/taskinfo?taskID=2264194

Comment 10 Christian Krause 2010-06-26 20:15:42 UTC
(In reply to comment #9)
> http://www.five-ten-sg.com/ghemical.spec
> http://www.five-ten-sg.com/ghemical-2.99.2-13.fc12.src.rpm 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2264194    

I have reviewed the new package and all issues reported in the full review in comment #4 were resolved. Thanks!

-> APPROVED

Comment 11 Carl Byington 2010-06-27 01:26:26 UTC
New Package CVS Request
=======================
Package Name: ghemical
Short Description: Molecular mechanics and quantum mechanics front end for GNOME
Owners: carllibpst
Branches: F-12 F-13
InitialCC:

Comment 12 Jason Tibbitts 2010-06-27 01:35:35 UTC
CVS done (by process-cvs-requests.py).

Comment 13 Carl Byington 2010-06-27 16:24:46 UTC
cd fedora/ghemical/F-12
make build 
/usr/bin/koji  build  dist-f12-updates-candidate 'cvs://cvs.fedoraproject.org/cvs/pkgs?rpms/ghemical/F-12#ghemical-2_99_2-13_fc12'
timeout: (110, 'Operation timed out.')
make: *** [build] Error 1

I have not been able to get koji to do the build. This is running on a F12 workstation with all the latest updates.

curl --verbose --cert ~/.fedora.cert https://koji.fedoraproject.org/koji/

* Certificate is signed by an untrusted issuer: 'E=admin@fedoraproject.org,CN=Fedora Project CA,OU=Fedora Project CA,O=Fedora Project,L=Raleigh,ST=North Carolina,C=US'
* NSS error -8172
* Closing connection #0
* Peer certificate cannot be authenticated with known CA certificates
curl: (60) Peer certificate cannot be authenticated with known CA certificates
More details here: http://curl.haxx.se/docs/sslcerts.html

Did earlier versions of koji not care about the server certificate, or has that certificate changed?

Comment 14 Christian Krause 2010-06-28 19:03:12 UTC
(In reply to comment #13)
> cd fedora/ghemical/F-12
> make build 
> /usr/bin/koji  build  dist-f12-updates-candidate
> 'cvs://cvs.fedoraproject.org/cvs/pkgs?rpms/ghemical/F-12#ghemical-2_99_2-13_fc12'
> timeout: (110, 'Operation timed out.')
> make: *** [build] Error 1

I'm not aware of any changes with respect to koji. You could verify with:
openssl x509 -in .fedora.cert -text
whether your certificate is still valid (they are usually only valid for 6 months). If it is not valid anymore, just get a new one from here: https://admin.fedoraproject.org/accounts .
Otherwise please ask on the fedora-admin mailing list or in the #fedora-admin in IRC.


Note You need to log in before you can comment on or make changes to this bug.